Berkeley DB Java Edition version 3.2.76

## com.sleepycat.collections
Interface PrimaryKeyAssigner

    public interface PrimaryKeyAssigner

An interface implemented to assign new primary key values. An implementation of this interface is passed to the `StoredMap` or `StoredSortedMap` constructor to assign primary keys for that store. Key assignment occurs when `StoredMap.append()` is called.

Author:
  Mark Hayes

Method Summary
`void` `assignKey(DatabaseEntry keyData)` Assigns a new primary key value into the given data buffer.

Method Detail

### assignKey

    void assignKey(DatabaseEntry keyData)
                   throws DatabaseException

  Assigns a new primary key value into the given data buffer.

  Throws:
    `DatabaseException`

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.